Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.util.transaction
Enum TransactionIsolationLevel

    java.lang.Object
      java.lang.Enum<TransactionIsolationLevel>
          edu.stanford.smi.protege.util.transaction.TransactionIsolationLevel

All Implemented Interfaces:
  Localizable, Serializable, Comparable<TransactionIsolationLevel>

    public enum TransactionIsolationLevel

extends Enum<TransactionIsolationLevel>
implements Localizable

Enum Constant Summary
`NONE`
`READ_COMMITTED`
`READ_UNCOMMITTED`
`REPEATABLE_READ`
`SERIALIZABLE`

Method Summary
`int` | `getJdbcLevel()`
`static TransactionIsolationLevel` | `getTransactionLevel(int jdbcLevel)`
`void` | `localize(KnowledgeBase kb)`
`static TransactionIsolationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransactionIsolationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final TransactionIsolationLevel NONE

### READ_UNCOMMITTED

    public static final TransactionIsolationLevel READ_UNCOMMITTED

### READ_COMMITTED

    public static final TransactionIsolationLevel READ_COMMITTED

### REPEATABLE_READ

    public static final TransactionIsolationLevel REPEATABLE_READ

### SERIALIZABLE

    public static final TransactionIsolationLevel SERIALIZABLE

Method Detail

### values

    public static final TransactionIsolationLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransactionIsolationLevel c : TransactionIsolationLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransactionIsolationLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getJdbcLevel

    public int getJdbcLevel()

### getTransactionLevel

    public static TransactionIsolationLevel getTransactionLevel(int jdbcLevel)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.